> ## Documentation Index
> Fetch the complete documentation index at: https://docs.readmin.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Player leaves a game session



## OpenAPI

````yaml delete /activity/playerLeave
openapi: 3.1.0
info:
  title: ReAdmin API
  version: 1.0.0
  description: ReAdmin developer api
  termsOfService: http://panel.readmin.app/legal/terms/
  contact:
    email: help@readmin.app
  x-fiddle-import-file: true
servers:
  - url: https://api.readmin.app
  - url: https://api.readmin.dev
    description: ReAdmin development API, only usable by ReAdmin developers.
security: []
tags:
  - name: Ranking Key
    description: Information about a key
  - name: Group Shout
    description: Update the group shout
  - name: Join Requests
    description: Get and manage join requests
  - name: Members
    description: Rank and exile members
  - name: Orders
    description: Operations related to orders management
  - name: Workspace
    description: Operations related to orders management
  - description: ''
    name: games
  - description: ''
    name: staff history
  - name: Activity
    description: Staff activity and minutes
  - name: Running Games
    description: Live tracked game servers
  - name: Time Off
    description: View and review time off requests
  - name: Teams
    description: Teams and team membership
  - name: Promotion Requests
    description: View promotion (nomination) requests
  - name: Calls
    description: In-game support calls and live chat
  - name: Sessions v2
    description: >-
      Modern, fully-normalized sessions API. Resources are flat and predictable,
      names are resolved, and lists are filterable and cursor-paginated.
externalDocs:
  description: ReAdmin docs
  url: http://docs.readmin.app
paths:
  /activity/playerLeave:
    delete:
      tags:
        - Player Management
      summary: Player leaves a game session
      operationId: deletePlayerLeave
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PlayerLeaveRequest'
      responses:
        '200':
          description: Player left successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlayerLeaveResponse'
        '500':
          description: Internal server error
      security:
        - loader-id: []
components:
  schemas:
    PlayerLeaveRequest:
      type: object
      properties:
        sessionIds:
          type: object
          properties:
            runningGamePlayer:
              type: string
            userGameSession:
              type: string
          required:
            - runningGamePlayer
            - userGameSession
        playerId:
          type: number
        events:
          type: array
          items:
            $ref: '#/components/schemas/SessionEvents'
        leftTime:
          type: number
      required:
        - sessionIds
        - playerId
        - events
        - leftTime
    PlayerLeaveResponse:
      type: object
      properties:
        success:
          type: boolean
    SessionEvents:
      type: object
      properties:
        user:
          type: string
          nullable: true
        type:
          type: string
        date:
          type: number
        message:
          type: string
          nullable: true
        to:
          type: string
          nullable: true
      required:
        - type
        - date
  securitySchemes:
    loader-id:
      type: apiKey
      name: loader-id
      in: header

````